<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Users pages
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************
/**
*
* \brief Display the public pages for a user
*
*   return xml file
*
* \relates
*   php xmlpublicpage.php
*
*  \relatesalso
*   ajax.js
*   $p.app.pages.loadPublicPages  
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/
$folder="";
$not_access=1;
$granted="I";
$pagename="portal/xmlpublicpages.php";
//includes
require_once('includes.php');
require_once('../includes/xml.inc.php');

$pageIds = "";
$getwidgetslist = isset($_GET['widgets'])?$_GET['widgets']:false;
$file=new xmlFile();
$file->header("pages");

if (__displayOnlyPublicPagesForTheUser) {   
	$DB->getResults($xmlpublicpages_getAllPagesForTheUserGroup,
         $DB->escape($_SESSION['user_id']));
}
else {
	$DB->getResults($xmlpublicpages_getAllPages);
}



if ($DB->nbResults()>0) {
	while ($row=$DB->fetch(0))
	{
		$pageIds .= $row["id"].",";
		echo "<page>";
		echo "<id>".$row["id"]."</id>";
		echo "<name><![CDATA[".$row["name"]."]]></name>";
		echo "<desc><![CDATA[".$row["description"]."]]></desc>";
		echo "<group_id>".$row["group_id"]."</group_id>";
		echo "</page>";
	}
	$DB->freeResults();
}

if( $getwidgetslist == "1" ) {
	$pageIds = $pageIds."0";

	$DB->getResults($xml_getAllWidgetsSharedtabs,
						$pageIds);
						
	
	while($row = $DB->fetch(0)){
		echo "<widgets".$row['profile_id'].">";
		//$pages[$row['id']] = "<item_id>".$row['item_id']."</item_id>";
		echo "<pageid>".$row['profile_id']."</pageid>";
		echo "<item_id>".$row['item_id']."</item_id>";
		echo "<name><![CDATA[".$row['name']."]]></name>";
		echo "</widgets".$row['profile_id'].">";
	}
	
	
}


$file->footer();

$DB->close();
?>